/// <reference types="node" />
import * as tf from "@tensorflow/tfjs-node";
import { io } from "@tensorflow/tfjs-core";
import EfficientNetResult from "./EfficientNetResult";
export default class EfficientNetModel {
    modelPath: string | io.IOHandler;
    imageSize: number;
    model: tf.GraphModel | undefined;
    constructor(modelPath: string | io.IOHandler, imageSize: number);
    load(): Promise<void>;
    private createTensor;
    private cropAndResize;
    private predict;
    inference(imgPath: string | Buffer, topK?: number): Promise<EfficientNetResult>;
}
